vnfd:
  id: kamailio_cnf
  product-name: kamailio_cnf
  mgmt-cp: mgmt-ext
  k8s-cluster:
    nets:
      - id: mgmtnet
  ext-cpd:
    - id: mgmt-ext
      k8s-cluster-net: mgmtnet
  kdu:
    - name: kamailio-kdu
      juju-bundle: bundle.yaml
  df:
    - id: default-df
      lcm-operations-configuration:
        operate-vnf-op-config:
          day1-2:
            - id: kamailio-kdu
              config-primitive:
                - name: options
                  parameter:
                    - name: application-name
                      data-type: STRING
                      default-value: sipp
                    - name: ip
                      data-type: STRING
                    - name: port
                      data-type: INTEGER
                      default-value: 5060
                - name: restart
                  parameter:
                    - name: application-name
                      data-type: STRING
                      default-value: kamailio
                - name: start
                  parameter:
                    - name: application-name
                      data-type: STRING
                      default-value: kamailio
                - name: stop
                  parameter:
                    - name: application-name
                      data-type: STRING
                      default-value: kamailio
